Bug 1981272 - When deleting PVC inside PVC page the status in the heading doesn't match the status field
Summary: When deleting PVC inside PVC page the status in the heading doesn't match the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1981304
TreeView+ depends on / blocked
 
Reported: 2021-07-12 08:57 UTC by Shay Rozen
Modified: 2021-10-18 17:38 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1981304 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:38:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
First screenshot after delete (219.08 KB, image/png)
2021-07-12 08:57 UTC, Shay Rozen
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9569 0 None open Bug 1981272: When deleting PVC inside PVC page the status in the heading doesn't match the status field 2021-07-26 12:47:12 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:37 UTC

Description Shay Rozen 2021-07-12 08:57:25 UTC
Created attachment 1800709 [details]
First screenshot after delete

Description of problem (please be detailed as possible and provide log
snippests):
When deleting pvc inside the pvc page itself under "Actions" the status in the heading stays "bound" while the status in the status field is "terminating". Also after few second the status in the heading stays "Bound" and instead of the details of the pvc you get "404 not found".


Version of all relevant components (if applicable):
all versions


Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?


Is there any workaround available to the best of your knowledge?


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
yes

Can this issue reproduce from the UI?
yes

If this is a regression, please provide more details to justify this:
No

Steps to Reproduce:
1. Install OCP+OCS
2. Create pvc via UI
3. Get into the pvc page
4. Under actions choose delete


Actual results:
status in the heading stays "bound" while the status in the status field is "terminating". Also after few second the status in the heading stays "Bound" and instead of the details of the pvc you get "404 not found".


Expected results:
Status in the heading should be terminating as the status field and I think to avoid this and the 404 we can navigate back to PVC list (storageclass page behaves like that)

Additional info:

Comment 6 Yadan Pei 2021-07-30 02:32:51 UTC
1. Create PVC and add it to some workloads, then the status of PVC will become Bound
# oc get pvc
NAME      STATUS    VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS   AGE
my-pvc1   Bound     pvc-a0af634c-4d71-4908-b3ba-f47a3270590c   1Gi        RWO            gp2            5m39s

2. Goes to PVC details page, click Actions -> Delete PersistentVolumeClaim, user will be automatically redirected to PVC list page, on PVC list page the status is shown as 'Terminating' which is consistent with CLI
# oc get pvc
NAME      STATUS        VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS   AGE
my-pvc1   Terminating   pvc-a0af634c-4d71-4908-b3ba-f47a3270590c   1Gi        RWO            gp2            9m11s

3. Visit pvc details page again, status in the heading stays "Terminating" and the status in the Status field is also showing "Terminating"

The issue reported is fixed, verified on 4.9.0-0.nightly-2021-07-29-103526

Comment 9 errata-xmlrpc 2021-10-18 17:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.